#!/usr/bin/env python

# This script can be run with python2 or python3


from __future__ import print_function 
from subprocess import call
from os import path, geteuid
from sys import exit
import sys

def bn_input(i):
    if sys.version_info[0] < 3:
        return raw_input(i)
    else:
        return input(i)

if sys.version_info[0] < 3:
    from ConfigParser import ConfigParser
else:
    from configparser import ConfigParser

if geteuid() != 0:
    print ("You need to be root to perform this command.")
    exit(1)

agentConfig = ConfigParser()
agentConfig.read(['/etc/xdg/com.bradfordnetworks/PersistentAgent.conf'])

# Replaces a configuration value
def replace_config(config, section, key, value):
    config.set(section,key,value)

def set_servers(config, homeServer, allowedServers, restrictRoaming):
    replace_config(config,"General","homeServer",homeServer)
    replace_config(config,"General","allowedServers",allowedServers)
    replace_config(config,"General","restrictRoaming",restrictRoaming)

homeServer = ""
while homeServer == "":
    homeServer = bn_input("Home Server: ")

allowedServers = bn_input("Allowed Servers (space-separated): ").replace(',',' ')

restrictRoaming = ""
while restrictRoaming != "true" and restrictRoaming != "false":
    restrictRoaming = bn_input("Restrict roaming?  true or false: ")

set_servers(agentConfig,homeServer, allowedServers, restrictRoaming)

agentConfig.write(open("/etc/xdg/com.bradfordnetworks/PersistentAgent.conf","w"))
